FROM python:3.13-slim

WORKDIR /app
COPY requirements.txt ./
RUN pip install -r requirements.txt --no-deps

COPY bot.py pyproject.toml ./
COPY assets ./assets
COPY scripts ./scripts
COPY konabot ./konabot
CMD [ "python", "bot.py" ]
